package examples.visitor.aspectj;

/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the design patterns project at UBC
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http:*www.mozilla.org/MPL/ or http:*aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is ca.ubc.cs.spl.pattern.
 *
 * Contributor(s):   
 */

/**
 * Implements a concrete element of the aggregate strcuture. This is a 
 * non-terminal binary tree element.
 *
 * @author  Jan Hannemann
 * @author  Gregor Kiczales
 * @version 1.0, 06/13/02
 * 
 * @see Node
 * @see NodeVisitor
 */

public class RegularNode implements Node {

    /**
     * the left subtree
     */
    
	protected Node left;

    /**
     * the right subtree
     */
    
	protected Node right;
	 	
	/**
	 * Accessor for the left subtree.
	 *
	 * @returns the left subtree.
	 */
	
	public Node getLeft() {
	    return left;
	}

	/**
	 * Accessor for the right subtree.
	 *
	 * @returns the right subtree.
	 */
	
	public Node getRight() {
	    return right;
	}

    /**
     * Creates a non-terminal node of a binary tree. 
     *
     * @param l the new left subtree.
     * @param l the new left subtree.
     */
     
	public RegularNode(Node l, Node r) {
		left = l;
		right = r;
	}
}